Subject: [Drip] I-D Action: draft-ietf-drip-arch-12.txt

From: [email-masked]
Date: Mon, 10 May 2021 11:50:04 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Drone Remote ID Protocol WG of the IETF.

        Title           : Drone Remote Identification Protocol (DRIP) Architecture
        Authors         : Stuart W. Card
                          Adam Wiethuechter
                          Robert Moskowitz
                          Shuai Zhao
                          Andrei Gurtov
	Filename        : draft-ietf-drip-arch-12.txt
	Pages           : 23
	Date            : 2021-05-10

Abstract:
   This document describes an architecture for protocols and services to
   support Unmanned Aircraft System Remote Identification and tracking
   (UAS RID), plus RID-related communications, conforming to proposed
   and final regulations plus external technical standards, satisfying
   the requirements listed in the companion requirements document
   [I-D.ietf-drip-reqs].

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-drip-arch/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-drip-arch-12
https://datatracker.ietf.org/doc/html/draft-ietf-drip-arch-12

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-drip-arch-12

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "shuaiizhao(Shuai Zhao)" <[email-masked]>
Date: Mon, 10 May 2021 18:55:13 +0000

Update summary:
- address comments from Chairs and others in github https://github.com/ietf-wg-drip/draft-ietf-drip-arch
- language tune up, see diff

NOTE: having a little bit issue with v3 format, so -12 is currently under v2. I will need to fix it in next revision. 

Best,
Shuai

On 5/10/21, 11:50 AM, "Tm-rid on behalf of [email-masked]" <[email-masked] on behalf of [email-masked]> wrote:

    Abstract:

    -- 
    Tm-rid mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/tm-rid

---

From: Daniel Migault <[email-masked]>
Date: Mon, 10 May 2021 17:52:56 -0400

Thanks for the update. Regarding the xml format, I do not know the reason
for your issue, but I think that the xml output from xml2rfc version 3.5.0
works fine while the version on the submission web site did encountered
some issues - from memory it was version 3.7.0 if I remember correctly.
Of course this happened a few weeks ago and might have been fixed since
then. I am just sharing this information to have that in mind while fixing
the xml format.

Yours,
Daniel

On Mon, May 10, 2021 at 2:56 PM shuaiizhao(Shuai Zhao) <
[email-masked]> wrote:

> Update summary:
> - address comments from Chairs and others in github
> https://github.com/ietf-wg-drip/draft-ietf-drip-arch
> NOTE: having a little bit issue with v3 format, so -12 is currently under
> v2. I will need to fix it in next revision.
>
> Best,
> Shuai
>
> On 5/10/21, 11:50 AM, "Tm-rid on behalf of [email-masked]" <
> [email-masked] on behalf of [email-masked]> wrote:
>
>

-- 
Daniel Migault
Ericsson

---

From: "shuaiizhao(Shuai Zhao)" <[email-masked]>
Date: Tue, 11 May 2021 01:32:34 +0000

Thanks Daniel,

Noted. My local tool chain uses the remote xml2rfc and error happens when I specify “kdrfc -v3 xx.md”. So, as you explained, it could be the xml2rfc is making changes. I will try that later and use a local xml2rfc tool.

Best,
Shuai

From: Daniel Migault <[email-masked]>
Date: Monday, May 10, 2021 at 2:53 PM
To: "shuaiizhao(Shuai Zhao)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [Drip] I-D Action: draft-ietf-drip-arch-12.txt(Internet mail)

Thanks for the update. Regarding the xml format, I do not know the reason for your issue, but I think that the xml output from xml2rfc version 3.5.0 works fine while the version on the submission web site did encountered some issues - from memory it was version 3.7.0 if I remember correctly.
Of course this happened a few weeks ago and might have been fixed since then. I am just sharing this information to have that in mind while fixing the xml format.

Yours,
Daniel

On Mon, May 10, 2021 at 2:56 PM shuaiizhao(Shuai Zhao) <[email-masked]<mailto:[email-masked]>> wrote:
Update summary:
- address comments from Chairs and others in github https://github.com/ietf-wg-drip/draft-ietf-drip-arch
- language tune up, see diff

Best,
Shuai

On 5/10/21, 11:50 AM, "Tm-rid on behalf of [email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

    Abstract:

    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

    --
    Tm-rid mailing list
    [email-masked]<mailto:[email-masked]>
    https://www.ietf.org/mailman/listinfo/tm-rid

--
Tm-rid mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/tm-rid

--
Daniel Migault
Ericsson

---

From: <[email-masked]>
Date: Wed, 19 May 2021 09:24:25 +0000

Hi Shuaii,

Thank you for the updated version. 

You can find some proposed edits to the first sections at: https://github.com/ietf-wg-drip/draft-ietf-drip-arch/pull/5

I see that HHIT is mentioned in the "Claims, Assertions, Attestations, and Certificates" section while HHIT is not yet introduced. Can you please revise that part, ideally, with examples that do not require HHIT. Thanks. 

Cheers,
Med

> -----Message d'origine-----
> De : Tm-rid [mailto:[email-masked]] De la part de
> shuaiizhao(Shuai Zhao)
> Envoyé : lundi 10 mai 2021 20:55
> À : [email-masked]
> Objet : Re: [Drip] I-D Action: draft-ietf-drip-arch-12.txt(Internet
> mail)
> 
> Update summary:
> NOTE: having a little bit issue with v3 format, so -12 is currently
> under v2. I will need to fix it in next revision.
> 
> Best,
> Shuai
> 
> On 5/10/21, 11:50 AM, "Tm-rid on behalf of [email-masked]"
> <[email-masked] on behalf of [email-masked]>
> wrote:
> 
> 

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "shuaiizhao(Shuai Zhao)" <[email-masked]>
Date: Thu, 27 May 2021 00:50:18 +0000

Hi Med,

Thanks for your review. Since it is only editorial, I only updated the draft locally for now.  Additional comments in https://github.com/ietf-wg-drip/draft-ietf-drip-arch/pull/5/files. Please have a look.

Regarding section 3.3, Claims, Assertions, Attestations, and Certificates, I would suggest removing all the examples...I could not find a better way not to mention HHIT. On the other hand, the section 4 has used those terms with a HHIT as an example. So, examples here in 3.3 may not be needed.

## Claims, Assertions, Attestations, and Certificates ##

This section introduces the terms "Claims", "Assertions", "Attestations", and "Certificates" as used in DRIP.

This is due to the term "certificate" having significant technological and legal baggage associated with it, specifically around X.509 certificates. These types of certificates and Public Key Infrastructure invoke more legal and public policy considerations than probably any other electronic communication sector. It emerged as a governmental platform for trusted identity management and was pursued in intergovernmental bodies with links into treaty instruments.

Claims:

> A claim in DRIP is a predicate (e.g., "X is Y", "X has property Y", and most importantly "X owns Y" or "X is owned by Y").  One basic use case of a claim is an entity using an HHIT as an identifier, e.g., a UAS using an HHIT as a UAS ID.

Assertions:

> An assertion in DRIP is a set of claims.  This definition is borrowed from JWT/CWT.  An HHIT of itself can be seen as an assertion: a claim that the identifier is a handle to an asymmetric keypair owned by the entity, and a claim that the identifier is in the registry specified by the HID embedded in the identifier.

Attestations:

> An attestation in DRIP is a signed assertion.  The signer may be a claimant or a third party.  Under DRIP this is normally used when an entity asserts a relationship with another entity, along with other information, and the asserting entity signs the assertion, thereby making it an attestation.

Certificates:

> A certificate in DRIP is an attestation, strictly over identity information, signed by a third party.

what will be next logical step for us to proceed in terms of WGLC?

Best,

Shuai

On 5/19/21, 2:24 AM, "[email-masked]" <[email-masked]> wrote:

    Hi Shuaii,

    Cheers,

    Med

    >     A New Internet-Draft is available from the on-line Internet-

    > Drafts directories.

    >     This draft is a work item of the Drone Remote ID Protocol WG of

    > the IETF.

    >             Title           : Drone Remote Identification Protocol

    > (DRIP) Architecture

    >        This document describes an architecture for protocols and

    > services to

    >        support Unmanned Aircraft System Remote Identification and

    > tracking

    >        (UAS RID), plus RID-related communications, conforming to

    > proposed

    >        and final regulations plus external technical standards,

    > satisfying

    >     Please note that it may take a couple of minutes from the time of

    > submission

    >     until the htmlized version and diff are available at

    > tools.ietf.org.

    Thank you.

---

From: <[email-masked]>
Date: Thu, 27 May 2021 07:34:20 +0000

Hi Shuaii,

Please see inline.

Cheers,
Med

De : Tm-rid [mailto:[email-masked]] De la part de shuaiizhao(Shuai Zhao)
Envoyé : jeudi 27 mai 2021 02:50
À : BOUCADAIR Mohamed TGI/OLN <[email-masked]>
Cc : [email-masked]
Objet : Re: [Drip] I-D Action: draft-ietf-drip-arch-12.txt(Internet mail)

Hi Med,

[Med] I fail to see the additional comments, but I trust you will do the right thing with the proposed changes. BTW, unless you have other pending comments, you may upload a new revision with the changes.

[Med] This looks good to me. Please consider adding RFC7519 and RFC 8392 as references for JWT/CWT.

[Med] The next step is to conclude the WGLC and make sure that all comments are addressed. Daniel is handling this for the arch document.

Best,

Shuai

On 5/19/21, 2:24 AM, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>> wrote:

    Hi Shuaii,

    Cheers,

    Med

    > À : [email-masked]<mailto:[email-masked]>

    > On 5/10/21, 11:50 AM, "Tm-rid on behalf of [email-masked]<mailto:[email-masked]>"

    > <[email-masked] on behalf of [email-masked]<mailto:[email-masked][email-masked]>>

    Thank you.

---

From: "shuaiizhao(Shuai Zhao)" <[email-masked]>
Date: Thu, 27 May 2021 19:02:15 +0000

Hi Med, I will upload a new revision later today. I hope Bob will have some time to review the deleted examples below.

Best,
Shuai

From: "[email-masked]" <[email-masked]>
Date: Thursday, May 27, 2021 at 12:34 AM
To: "shuaiizhao(Shuai Zhao)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: RE: [Drip] I-D Action: draft-ietf-drip-arch-12.txt(Internet mail)

Hi Shuaii,

Please see inline.

Cheers,
Med

Hi Med,

Best,

Shuai

    Hi Shuaii,

    Cheers,

    Med

    Thank you.

Thank you.